import ElementPeer from './ElementPeer';
declare class PolyLinePeer extends ElementPeer {
    private _breakDistance;
    private _x1;
    private _y1;
    private _x2;
    private _y2;
    private _style;
    constructor();
    setFrom(x1: number, y1: number): void;
    setTo(x2: number, y2: number): void;
    setStrokeWidth(width: number): void;
    setColor(color: string): void;
    setStyle(style: string): void;
    getStyle(): string;
    private _updatePath;
    private _updateStraightPath;
    private _updateMiddleCurvePath;
    private _updateMiddleStraightPath;
    private _updateCurvePath;
}
export default PolyLinePeer;
